> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume campaign

> Resume a paused campaign.



## OpenAPI

````yaml api-reference/campaigns/openapi.json POST /v1/calls/campaigns/{id}/resume
openapi: 3.0.3
info:
  title: Persistence Campaigns API
  version: '1.0'
  description: Create and run outbound calling campaigns.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Campaigns
    description: Campaign creation and lifecycle control.
paths:
  /v1/calls/campaigns/{id}/resume:
    post:
      tags:
        - Campaigns
      summary: Resume campaign
      description: Resume a paused campaign.
      operationId: resumeCampaign
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Campaign ID
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CampaignResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Campaign'
        success:
          type: boolean
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
    Campaign:
      type: object
      properties:
        agentId:
          type: string
        cancelledAt:
          type: string
        createdAt:
          type: string
        description:
          type: string
        direction:
          type: string
        endDate:
          type: string
        fromNumber:
          type: string
        id:
          description: PublicID
          type: string
        lists:
          type: array
          items:
            $ref: '#/components/schemas/CampaignContactListRef'
        maxConcurrency:
          type: integer
        meta:
          $ref: '#/components/schemas/CampaignMetadata'
        name:
          type: string
        pausedAt:
          type: string
        resumedAt:
          type: string
        retryPolicy:
          type: array
          items:
            type: integer
        scheduleEnd:
          type: integer
        scheduleStart:
          type: integer
        scheduledAt:
          type: string
        startDate:
          type: string
        status:
          type: string
        stoppedAt:
          type: string
        targetCallCount:
          type: integer
        targetConversionRate:
          type: number
        timezone:
          type: string
        totalContacts:
          type: integer
        updatedAt:
          type: string
    CampaignContactListRef:
      type: object
      properties:
        id:
          type: string
        role:
          type: string
    CampaignMetadata:
      type: object
      properties:
        failure:
          $ref: '#/components/schemas/CampaignFailureMetadata'
    CampaignFailureMetadata:
      type: object
      properties:
        reason:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key issued for your workspace.

````